function  robustness_plot_func(robust,round)
% This function, related to main file robustness_figures.m, plots and
% saves the constant deaths testing graph, given parameters robust and
% round
% robust: goes from 1 to 6, 1:IFR, 2:rel_rho, 3:psi 4:gamma 5:sigma 6:R0
% round: the position of the parameter in that parameter grid.

%% Load right thing 

eval(['load robustness_' num2str(robust) '_round_' num2str(round)])

%% Default Figure Setting

default_figures

%% Fig4 - Constant deaths; plot weekly monthly paths

close all; 
figure;
set(gcf,'Pos',[-2236,520,2021,564]);    
Tplot    = 500 ;
xylinewidth = 1;

subplot(1,3,1)
plot(days_model(1:500),Infected_D_exp1(1:500)/Pop*100,'--','color',rgb('Black'))
grid on; hold on;
plot(days_model(1:500),out2_deaths.exp.Infected_D(1:500)/Pop*100,'-.','color',rgb('Red'))
plot(days_model(1:500),out3_deaths.exp.Infected_D(1:500)/Pop*100,':','color',rgb('Blue'))
title('A. Current symptomatic cases: $I^{+}_{Q}$')
xlabel('Days since March 20, 2020')
ylabel('Fraction of population (\%)') 
xlim([-10 Tplot])
ytickformat('%3.2f')
%xline(days_Mar20_to_reopen,'linewidth',xylinewidth)
%xline(days_Mar20_to_vaccine,'linewidth',xylinewidth)

subplot(1,3,2)
plot(days_model(1:500),Dead_D_exp1(1:500)/Pop*100,'--','color',rgb('Black'))
grid on; hold on;
plot(days_model(1:500),out2_deaths.exp.Dead_D(1:500)/Pop*100,'-.','color',rgb('Red'))
plot(days_model(1:500),out3_deaths.exp.Dead_D(1:500)/Pop*100,':','color',rgb('Blue'))
title('B. Cumulative deaths')
xlabel('Days since March 20, 2020')
ylabel('Fraction of population (\%)') 
xlim([-10 Tplot])
ytickformat('%5.3f')
%xline(days_Mar20_to_reopen,'linewidth',xylinewidth)
%xline(days_Mar20_to_vaccine,'linewidth',xylinewidth)
l = legend('Benchmark (no testing)','Virological testing','Serological testing','Location','southeast') ;

subplot(1,3,3)
plot(days_model(1:500),Y_D_exp1(1:500)./Pop,'--','color',rgb('Black'))
grid on; hold on;
plot(days_model(1:500),out2_deaths.exp.Y_D(1:500)./Pop,'-.','color',rgb('Red'))
plot(days_model(1:500),out3_deaths.exp.Y_D(1:500)./Pop,':','color',rgb('Blue'))
title(['C. Relative output: $Y_{t}/Y_{0}$'])
xlabel('Days since March 20, 2020')
ylabel('Relative output')
xlim([-10 Tplot])
ytickformat('%3.2f')
%xline(days_Mar20_to_reopen,'linewidth',xylinewidth)
%xline(days_Mar20_to_vaccine,'linewidth',xylinewidth)

eval(['saveas(gcf,''.\appendix_figures\robust_' num2str(robust) '_round_' num2str(round) '.png'') ;' ])


